<div class="container" fxLayout="row" fxLayout.sm="column" fxLayout.xs="column"
  fxLayoutAlign.gt-md="space-around center" fxLayoutGap="10px" fxLayoutGap.xs="0">

  <div fxFlex="40">
    <p>Display the details of the Dish here</p>
    <mat-card *ngIf="dish">

      <img height="200px" src={{dish.image}} alt={{dish.name}}>

      <h3 *ngIf="dish">{{dish.name | uppercase}}</h3>
      <mat-card-content>
        <p>{{dish.description}}
        </p>
      </mat-card-content>
      <mat-card-actions>
        <button mat-button [routerLink]="['/dishdetail', prev]"><span class="fa fa-chevron-left fa-lg"></span></button>
        <button mat-button>LIKE</button>
        <button mat-button>SHARE</button>
        <button mat-button (click)="goBack()">BACK</button>
        <span class="flex-spacer"></span>
        <button mat-button [routerLink]="['/dishdetail', next]"><span class="fa fa-chevron-right fa-lg"></span></button>
      </mat-card-actions>
    </mat-card>

  </div>

  <div fxFlex="40">
    <p>Comments</p>
    <mat-card *ngIf="dish">

      <mat-card-content>
        <div *ngFor="let com of dish.comments">
          <p> {{com.comment}}</p>
          <p> {{com.rating}}</p>
          <p>-- {{com.author}} {{com.date | date}}</p>

          <br>
        </div>

      </mat-card-content>

    </mat-card>
  </div>

</div>
